﻿Type=StaticCode
Version=2.52
@EndOfDesignText@
'Code module
Sub Process_Globals
	Public scale As Float
	Private initFlag As Boolean
End Sub

Public Sub init
	If initFlag = True Then Return
	'everything will be scaled based on the device physical size.
	scale = (100%x + 100%y) / (320 + 480)
	initFlag = True
End Sub

'Loads a sprites sheet and creates the rectangles needed to show each frame.
Public Sub LoadSpritesFromSheet(Bmp As Bitmap, Columns As Int, Rows As Int) As BitmapData(,)
	Dim bds(Columns, Rows) As BitmapData
	Dim x, y As Float
	x = Bmp.Width / Columns
	y = Bmp.Height / Rows
	For c = 0 To Columns - 1
		For R = 0 To Rows - 1
			bds(c, R).Bitmap = Bmp 'all the sprites point to the same whole bitmap
			bds(c, R).SrcRect.Initialize(c * x, R * y, c * x + x, R * y + y)
		Next
	Next
	Return bds
End Sub
